Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.cdo.internal.core
Class CDOBranchWrapper

    java.lang.Object
      org.eclipse.emf.ecp.cdo.internal.core.CDOBranchWrapper

All Implemented Interfaces:
  ECPCheckoutSource, ECPProviderAware, ECPRepositoryAware

    public class CDOBranchWrapper

extends Object
implements ECPCheckoutSource

Wraps are CDO branch for ECP, so it can be checked out.

Author:
  Eike Stepper

Constructor Summary
`CDOBranchWrapper(InternalRepository repository, String branchPath)` Default constructor.

Method Summary
`void` | `checkout(String projectName, ECPProperties projectProperties)` This method is called in order execute the checkout.
`String` | `getBranchPath()` Returns the branch path of the wrapped CDO branch.
`String` | `getDefaultCheckoutName()` This return the default name for a project that was checked out.
`String` | `getName()` Return the name of the wrapped CDO branch.
`ECPProvider` | `getProvider()` The Provider this class references in any way.
`InternalRepository` | `getRepository()` This returns the `ECPRepository` this object references in any way.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CDOBranchWrapper

    public CDOBranchWrapper(InternalRepository repository,
                            String branchPath)

  Default constructor.

  Parameters:
    `repository` - the repository
    `branchPath` - the branch path

Method Detail

### getProvider

    public ECPProvider getProvider()

  The Provider this class references in any way.

  Specified by:
    `getProvider` in interface `ECPProviderAware`
  Returns:
    the known `ECPProvider`

### getRepository

    public final InternalRepository getRepository()

  This returns the `ECPRepository` this object references in any way.

  Specified by:
    `getRepository` in interface `ECPRepositoryAware`
  Returns:
    the known `ECPRepository`

### getBranchPath

    public final String getBranchPath()

  Returns the branch path of the wrapped CDO branch.

  Returns:
    String of the path

### getName

    public String getName()

  Return the name of the wrapped CDO branch.

  Returns:
    the name

### getDefaultCheckoutName

    public String getDefaultCheckoutName()

  This return the default name for a project that was checked out.

  Specified by:
    `getDefaultCheckoutName` in interface `ECPCheckoutSource`
  Returns:
    the default name

### checkout

    public void checkout(String projectName,
                         ECPProperties projectProperties)
                  throws ECPProjectWithNameExistsException

  This method is called in order execute the checkout.

  Specified by:
    `checkout` in interface `ECPCheckoutSource`
  Parameters:
    `projectName` - the name of the project to create
    `projectProperties` - the `ECPProperties` to use
  Throws:
    `ECPProjectWithNameExistsException` - is thrown when a project with such a name already exists

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.